@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');

body {
  padding: 0;
  margin: 0;
  font-family: 'Roboto', sans-serif;
}

#loader {
	position: fixed;
	left: 0px;
	top: 0px;
	width: 100%;
	height: 100%;
	z-index: 9999;
	background: url('images/loader.gif') center no-repeat #fff;
  -webkit-animation: fadeOut 2s;
  animation: fadeOut 2s;
  animation-fill-mode: forwards;
  animation-delay: 1s;
}

@-webkit-keyframes fadeOut {
    0% { opacity: 1;}
    99% { opacity: 0.01;}
    100% { opacity: 0;}
}

@keyframes fadeOut {
    0% { opacity: 1;}
    99% { opacity: 0.01;}
    100% { opacity: 0;}
}

.loginPage {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-image: url('images/background.jpeg');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.loginContainer {
  width: 380px;
  height: 400px;
  position: absolute;
  top: calc( 50% - 200px );
  display: block;
  left: calc( 50% - 220px );
  background-color: rgba(249,249,249, .2);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-radius: 15px;
}

.loginPhoto {
  width: 80%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  padding-top: 40px;
  padding-bottom: 30px;
}

.loginPhotoImg {
  width: 100%;
  -webkit-filter: drop-shadow(5px 5px 5px #222);
  filter: drop-shadow(5px 5px 5px #222);
}

.loginInputContainer {
  width: 90%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

#inputPhone,
#inputEmail,
#inputPassword,
#newPassword1,
#newPassword2 {
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  background-color: unset !important;
  border-style: none;
  line-height: 25px;
  font-size: 20px;
  color: rgb(249, 249, 249);
  margin: 20px 0px 20px 0px;
  background: linear-gradient(to right, #c70007 0%, #14305b  100%)
    left
    bottom
    #777
    no-repeat;
  background-size:100% 2px;
  outline: none;
  text-shadow: 2px 2px 2px rgba(0,0,0,0.3);
}

#inputPhone::placeholder,
#inputEmail::placeholder,
#inputPassword::placeholder,
#newPassword1::placeholder,
#newPassword2::placeholder {
  color: rgb(249, 249, 249);
  opacity: 1;
  font-family: 'Roboto';
  text-shadow: 2px 2px 2px rgba(0,0,0,0.3);
}

#inputPhone {
  display: none;
}

#inputButton {
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-top: 30px;
  background-image: linear-gradient(to right, #c70007 0%, #14305b  100%);
  padding: 15px 45px;
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: rgb(249, 249, 249);
  box-shadow: 0 0 10px #222;
  border-radius: 10px;
  display: block;
  border-style: none;
  cursor: pointer;
  outline: none;
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none;
}

#inputButton:hover {
  background-position: right center;
  color: #fff;
  text-decoration: none;
}

#loginProblem {
  width: 380px;
  height: 40px;
  position: absolute;
  top: calc( 50% + 220px );
  display: none;
  left: calc( 50% - 220px );
  background-color: rgba(249,249,249, .2);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-radius: 15px;
  color: rgb(249, 249, 249);
  text-shadow: 2px 2px 2px rgba(0,0,0,0.3);
  line-height: 40px;
  text-align: center;
}

.errorPlaceholderColor::placeholder {
  color: #c70007 !important;
}

@media screen and (max-width: 600px) {
  .loginContainer {
    right: 5%;
    left: 5%;
    width: unset;
  }

  #loginProblem {
    right: 5%;
    left: 5%;
    width: unset;
  }
}
